# 
# Written by Il-Chul Yoon <iyoon@cs.umd.edu>

use strict;
use CGI qw(:standard);
use CGI::Carp;
use Cwd;
use Data::Dumper;
use PerlDB;
use utilfunc;
use XJDWriter;
use XJDParser;

my $cgi = new CGI;

my $sessionid = &utilfunc::create_timestamp;
my $cookie = cookie(-name=>'sessionID',
                    -value=>$sessionid,
                    -expires=>'+1h',
                    -domain=>"$ENV{APACHE_SERVER}",
                    -secure=>1);


&save_uploaded_file ($cgi); 

print $cgi->header(-cookie=>$cookie);


print<<FRAMES;

<FRAMESET COLS="200,*">
<FRAME SRC="elem_list.cgi?elemmode=modify" NAME="elemlist" SCROLLING="auto">
<FRAME SRC="gen_semiauto.cgi?mode=waitmodify" NAME="main" SCROLLING="auto">
</FRAMESET>

FRAMES


sub save_uploaded_file {
    my $cgi = shift;
    
    open OUT, "> $ENV{HTDOCS_HOME}/HPCALE_XJDHELPER/sessions/$sessionid.xjd";
    
    my $xjd = $cgi->param('uploaded_xjd');
    while(<$xjd>){
        print OUT $_;
    }
    
    close OUT;
}
