#
# Written by Il-Chul Yoon <iyoon@cs.umd.edu>

package show_waitmodify;

use PerlDB;
use utilfunc;
use XJDParser;
use Data::Dumper;
use strict;

sub new {
    my $classname  = shift;         # What class are we constructing?
    my $self   = {};                # Allocate new memory
    bless($self, $classname);       # Mark it of the right type
    return $self;
}

sub showContents {
    my $self = shift;
    my $cgi = shift;

    print "Select a component/connection to create or modify from left frame.<br><br>";
    #&utilfunc::print_params($cgi);

    if(defined $cgi->param('eletype')){
        if($cgi->param('eletype') eq "component"){
            my $res = &utilfunc::save_comp($cgi);    

            # from save_comp function.
            if($res < 0){
                print "Saving component failure.";
            }
                
            #&utilfunc::init_comp_params($cgi) ;
        }
        else{
            &utilfunc::save_conn($cgi);    
            #&utilfunc::init_conn_params($cgi) ;
        }
    }
}

1;
