
function autonew2edit(f)
{
    if(validate_searchpage(f) > 0){
        f.mode.value = "edit";
        f.submit();
    }
    else{
        searchpage_validate_errmsg(f);
    }
}

function validate_searchpage (f)
{
    if(f.id.value.length == 0){
        return false;
    }

    if(f.compname.value.length == 0){
        return false;
    }

    return true;
}

function searchpage_validate_errmsg(f)
{
    if(f.id.value.length == 0){
        alert('Component ID is required.');
    }
    else if (f.compname.value.length == 0){
        alert('Component name is required.');
    }
}



function edit2detail(f)
{
    if(validate_onlyone_checked(f) > 0){
        f.mode.value = "detail";
        f.submit();
    }
    else{
        onlyone_checked_validate_errmsg(f);
    }
}

function validate_onlyone_checked (f)
{
    var checked = 0;

    for ( var i = 0 ; i < f.elements.length ; ++i ) {
        var match = /.+\.choice/.test(f.elements[i].name);

        if(match == true && f.elements[i].checked){
            checked++;
        }
    }

    if(checked > 1 || checked == 0){
        return false;
    }
    else{
        return true;
    }
}

function onlyone_checked_validate_errmsg(f)
{
    alert('You should check exactly one component from the list');
}



function detail2waitmodify(f)
{
    f.mode.value = "waitmodify";
    f.submit();
    reloadElemlist();
}



// 
// This is invoked when user modifies a component.
// 
/*
function modify_comp_detail2waitmodify(f)
{
    f.mode.value = "waitmodify";
    f.submit();
}

//
// Below, functions to let a component removed.
//

function modifydetail2remove(f)
{
    f.mode.value = "remove";
    f.submit();
}
*/

function validate_comp_modification(f)
{
    if(document.pressed == "Commit Modification"){
        if(f.rctype.value == "cluster"){
            if(f.nNode.value.length == 0){
                alert('Number of Node is required');
                return false;
            }
            else{
                // return to wiatmodify state 
                f.mode.value = "waitmodify";  
                return true;
            }
        }
        else{
            f.mode.value = "waitmodify";
            return true;
        }
    }
    else if(document.pressed == "Remove Component"){
        var msg = "If you remove this component, all connections related to this component will be removed togheter. Do you really want to remove this component?";

        if(confirm(msg)){
            f.mode.value = "remove";
            return true;
        }
        else{
            return false;
        }
    }
    
    return false;
}


function validate_conn(f)
{
    if(f.connid.value.length <= 0){
        alert('Connection ID is required.');
        return false;
    }
     
    if(f.exdataport.value.length <= 0){
        alert('Export Port is missing.');
        return false;
    }
    if(f.imdataport.value.length <= 0){
        alert('Import Port is missing.');
        return false;
    }
    
    if(f.msgtag.value.length <= 0){
        alert('Input message tag.');
        return false;
    }
    
    if(document.pressed == "Commit Modification" || document.pressed == "Save Connection"){
        f.mode.value = "waitmodify";
    }
    else if(document.pressed == "Remove Connection"){
        f.mode.value = "remove";
    }
    return true;
}    

// 
// This is invoked when user creates a component manually.
// 
function mannew2waitmodify(f)
{
    if(validate_manualcomp(f) > 0){
        f.mode.value = "waitmodify";
        f.submit();
    }
    else{
        manualcomp_validate_errmsg(f);
    }
}    

function validate_manualcomp(f)
{
    if(f.id.value.length == 0){
        return false;
    }

    if(f.name.value.length == 0){
        return false;
    }
    
    if(f.rctype.value.length == 0){
    	return false;
 	}
	else{
		if(f.rctype.value == "cluster"){
			if(f.scheduler.value.length == 0){
				return false;
			}
			else{
				if(f.cluster.value.length == 0){
					return false;
				}
				if(f.head.value.length == 0){
					return false;
				}
			}	
		}
		else if (f.rctype.value == "node"){
			if (f.head.value.length == 0){
				return false;
			}
		}
	}
    return true;
}    


function manualcomp_validate_errmsg(f)
{
    if(f.id.value.length == 0){
        alert('Component ID is required.');
    }
    else if (f.name.value.length == 0){
        alert('Component name is required.');
    }
    else if(f.rctype.value.length == 0){
        alert('Resource type information is required.');
 	}
	else{
		if(f.rctype.value == "cluster"){
			if(f.scheduler.value.length == 0){
				alert('Cluster scheduler should be selected.');
			}
			else{
				if(f.cluster.value.length == 0){
					alert('Cluster name should be chosen.');
				}
				if(f.head.value.length == 0){
					alert('Cluster head is required.');
				}
			}	
		}
		else if (f.rctype.value == "node"){
			if (f.head.value.length == 0){
				alert('Full node name is required.');
			}
		}
	}


}



//
// Below, functions to reload main window and element list window.
//
 
function reloadMain(key, eletype)
{

    top.main.location.reload();
}

function reloadElemlist()
{
    top.elemlist.location.reload();
}




//
// Below, functions for popup window for terms description 
//
function popup(url)
{
    var aPopup = window.open(url, 'name', 'height=300,width=350,scrollbars=yes');
    if(window.focus){
        aPopup.focus();
    }
    
    return false;
}

function popup_swinfo(url)
{
    var aPopup = window.open(url, 'swname', 'height=300,width=350,scrollbars=yes');
    if(window.focus){
        aPopup.focus();
    }
    
    return false;
}

