# Written by Il-Chul Yoon <iyoon@cs.umd.edu>

package XJDWriter;

use strict;
use Data::Dumper;
use XML::Simple;

sub new {
    my $classname  = shift;         # What class are we constructing?
    my $self   = {};                # Allocate new memory

    bless($self, $classname);       # Mark it of the right type

    return $self;
}

sub writeXML($$$$)
{
    my $self = shift;
    my $rc = shift;
    my $file = shift;

    my $outXML = "$file";

# Test code
#    open O1, "> temp-iyoon2" or die "I'm dying!\n";
#    my $logstr = Dumper($rc);
#    print O1 "$logstr\n";

    XMLout($rc,
           rootname => 'ICXJD',
           noattr => 1,
           keeproot => 1,
           xmldecl => '<?xml version="1.0" encoding="utf-8"?>',
           KeyAttr => "id",
           outputfile => $outXML);


# Verification Code for generated XML file.            
#     $self->{rc2} = XMLin($low_xjd,
#             forcearray=>['component', 'connection'],
#             KeyAttr => "id");
#
#     open O1, "> temp-iyoon2" or die "I'm dying!\n";
#     my $logstr = Dumper($self->{rc2});
#     print O1 "$logstr\n";
     
}


1;
