# 
# Written by Il-Chul Yoon <iyoon@cs.umd.edu>
#

use strict;
use CGI qw(:standard);
use CGI::Carp;
use Cwd;
use Data::Dumper;
use PerlDB;
use utilfunc;
use XJDWriter;
use XJDParser;

my $cgi = new CGI;
my $sessionID = &utilfunc::create_timestamp;

my $cookie = cookie(-name=>'sessionID',
                    -value=>$sessionID,
                    -expires=>'+1h',
                    -domain=>"$ENV{APACHE_SERVER}",
                    -secure=>1);

print $cgi->header(-cookie=>$cookie);

print<<FRAMES;

<FRAMESET COLS="200,*">
<FRAME SRC="elem_list.cgi?elemmode=gen" NAME="elemlist" SCROLLING="auto">
<FRAME SRC="gen_semiauto.cgi?mode=initial" NAME="main" SCROLLING="auto">
</FRAMESET>

FRAMES

