# 
# Written by Il-Chul Yoon <iyoon@cs.umd.edu>

use strict;
use CGI qw(:standard);
use CGI::Carp;
use Cwd;
use Data::Dumper;

use PerlDB;
use show_mannew;
use show_waitmodify;
use XJDWriter;
use XJDParser;

my $cgi = new CGI;

print $cgi->header();

if(! defined $cgi->param('mode')){
    print $cgi->start_html(-title=>'XJD creation page',
                           -author=>'iyoon@cs.umd.edu',
                           -base=>'true',
                           -meta=>{'copyright'=>'copyright 2005 University of Maryland, College Park'},
                           -script=>{-language=>'JAVASCRIPT',
                                     -src=>"https://$ENV{APACHE_SERVER}:$ENV{APACHE_PORT}/HPCALE_XJDHELPER/util.js"}
                           );
}
else{
    if($cgi->param('mode') eq "waitmodify"){
        print $cgi->start_html(-title=>'XJD creation page',
                               -author=>'iyoon@cs.umd.edu',
                               -base=>'true',
                               -meta=>{'copyright'=>'copyright 2005 University of Maryland, College Park'},
                               -script=>{-language=>'JAVASCRIPT',
                                         -src=>"https://$ENV{APACHE_SERVER}:$ENV{APACHE_PORT}/HPCALE_XJDHELPER/util.js"},
                               -onload=>"reloadElemlist()"
                               );
    }
    else{
        print $cgi->start_html(-title=>'XJD creation page',
                               -author=>'iyoon@cs.umd.edu',
                               -base=>'true',
                               -meta=>{'copyright'=>'copyright 2005 University of Maryland, College Park'},
                               -script=>{-language=>'JAVASCRIPT',
                                         -src=>"https://$ENV{APACHE_SERVER}:$ENV{APACHE_PORT}/HPCALE_XJDHELPER/util.js"}
                               );
    }
}

if(! defined $cgi->param('mode')){
    print "Error! Mode is not defined.\n";
}
elsif($cgi->param('mode') eq "waitmodify"){
    (new show_waitmodify)->showContents ($cgi) ;
}
elsif($cgi->param('mode') eq "mannew"){
    (new show_mannew)->showContents ($cgi) ;
}

print $cgi->end_html;

